import cgi
import os

from google.appengine.api import users
from google.appengine.ext import webapp
from google.appengine.ext.webapp.util import run_wsgi_app
from google.appengine.ext import db
from google.appengine.ext.webapp import template

class Contact(db.Model):
  name = db.StringProperty()
  number = db.StringProperty()

class MainPage(webapp.RequestHandler):
  def get(self):
    contacts_query = Contact.all().order('name')
    contacts = contacts_query.fetch(100)

    template_values = {
      'contacts': contacts,
	  'total': len(contacts),
    }

    path = os.path.join(os.path.dirname(__file__), 'main.html')
    self.response.out.write(template.render(path, template_values))
    

class Phonebook(webapp.RequestHandler):
  def post(self):
    contact = Contact()

    contact.name = self.request.get('name')
    contact.number = self.request.get('number')
    contact.put()
    self.redirect('/')

application = webapp.WSGIApplication(
                                     [('/', MainPage),
                                      ('/add', Phonebook)],
                                     debug=True)

def main():
  run_wsgi_app(application)

if __name__ == "__main__":
  main()