// ==ClosureCompiler==
// @output_file_name compiled.js
// @compilation_level ADVANCED_OPTIMIZATIONS
// @use_closure_library true
// ==/ClosureCompiler==

goog.require('goog.ui.AutoComplete.Basic');
goog.require('goog.events')
goog.require('goog.dom')

var _names;
var _contacts;

/*
 * callback that is called when a new name is selected in the search-box
 */
var handleSelect = function(e) {
	if (e.row) {
		// update the contact display pane
		goog.dom.$('displayName').textContent = e.row;
		goog.dom.$('displayNumber').textContent = _contacts[e.row];	
	}
}


/*
 * initialization function that creates the autocomplete widget and binds it to the input field "searchBox"
 */
var _init = function(names, contacts) {
	_names = names;
	_contacts = contacts;
	var nameAutoComplete = new goog.ui.AutoComplete.Basic(
    	names, goog.dom.$('searchBox'), false);
    // listen to the UPDATE event and bind the handleSelect callback
	goog.events.listen(nameAutoComplete, goog.ui.AutoComplete.EventType.UPDATE, handleSelect)
}
goog.exportSymbol("_init", _init); //make sure the compiler doesn't rename _init as it is used from the HTML page